Gift a Digital Gift Card
Gifts a digital gift card to a recipient.
- Type: stringx
-application Source requiredA custom HTTP header that accepts a free-form string value. It is used to identify the application making the API request. For example, if Punchh invokes the API, the value could be "punchh".
- Type: stringX
- Location Id requiredThe unique location identifier for the store or business location processing the transaction.
- Type: stringContent
- Type requiredThe media type of the request body. Must be set to
application/json. - Type: stringAuthorizationrequired
Bearer token for API authorization. Send in the format:
Bearer ACCESS_TOKEN_GOES_HERE.
Request details to gift the card.
- Type: stringrecipient
User Id min length:1requiredThe unique identifier of the recipient user (provided by Punchh after onboarding).
- Type: stringreference
Number min length:1max length:40Pattern: ^[0-9]+$requiredA unique reference number for the transaction.
- Type: stringsender
User Id min length:1requiredThe unique identifier of the user gifting the card.
- Type: string Format: date-timetransaction
Date Time U T C requiredThe transaction date and time in UTC format.
- Type: number | null Format: doubleamount
The amount for the new gift card. Required when GiftCardId is not provided.
- Type: string · enumchannelvalues
- None
- P
O S - Kiosk
- Type: string | nullgift
Card Id The gift card ID to transfer. When provided, an existing saved card is transferred to the recipient. When absent, a new virtual gift card is issued and gifted.
- Type: string | nullinvoice
Number max length:14A unique invoice number for the transaction.
- Type: string · enumpayment
Source values- Scan
To Pay - Online
- None
- Type: string | nullsource
Transaction Id The credit card purchase transaction ID. Required when GiftCardId is not provided.
- Type: string | null Format: date-timetransaction
Date Time Local The transaction date and time in local format.
- application/json
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.partech.com/giftcard/v1/gift \
--request POST \
--header 'x-applicationSource: ' \
--header 'X-LocationId: ' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
--data '{
"senderUserId": "user-abc123",
"recipientUserId": "user-xyz789",
"giftCardId": null,
"amount": 50,
"sourceTransactionId": "01JNXXXXXXXXXXXXXXXXXXXXXX",
"referenceNumber": "123456789",
"transactionDateTimeUTC": "2026-05-08T11:35:08.981Z",
"transactionDateTimeLocal": "2026-05-08T11:35:08.981+00:00",
"invoiceNumber": "INV001",
"paymentSource": "Online",
"channel": "None"
}'
{
"parPayTransactionId": "01JNXXXXXXXXXXXXXXXXXXXXXX",
"giftCardId": "01JNXXXXXXXXXXXXXXXXXXXXXX",
"status": "Success",
"statusMessage": "APPROVAL",
"transactionDateTimeUTC": "2026-05-08T11:35:08.981Z"
}